Subject: Re: bug#74074: 30.0.92; [NS] Frame position not reported on resize from top left

From: Robert Pluim <[email-masked]>
Date: Wed, 06 Nov 2024 11:16:28 +0100

>>>>> On Wed, 6 Nov 2024 10:31:12 +0100, martin rudalics <[email-masked]> said:

    >> I see that under X11, the `move-frame-functions' are called when
    >> resizing from the top left. I donʼt know what happens on MSWindows or
    >> in a pgtk build.

    martin> It works on MSWindows here.  IIRC pgtk doesn't care abut positions at
    martin> all.

pgtk doesnʼt let you programatically change the frame positions, but
Iʼm assuming it still reports them <time passes> Hmm, no, it
doesnʼt. I donʼt know if thatʼs expected or not. Po Lu?

(in fact, (frame-position) always reports the same values, whatever I
do to the frame. Yet another reason to avoid the pgtk build)

    >> A quick experiment shows that itʼs fixable on macOS, although there is
    >> a (strong) tendency for the 'moveʼ events to get bunched up until
    >> after the resize ends, which means they all report the same
    >> position. But then again this happens to a lesser extent under X as
    >> well.

    martin> I'm not sure I understand: Under X11 we "bunch up" all ConfigureNotify
    martin> events for one and the same window.  If a user resizes a window by
    martin> dragging its top/left corner, they should all report different
    martin> positions.

On macOS the 'move' events all arrive at once after the resize finishes, and
they all report the final size of the frame. Of course that may be due
to my implementation (the window size changes are reported as they
happen, but they follow a different code path).

    >> The question is: do we *want* to fix this?

    martin> Probably in a uniform way for all platforms (sans pgtk).

OK

Robert
--